Page MenuHomePhabricator

Latest installer for Windows doesn't ship with functional SSL libraries
Closed, ResolvedPublic

Description

Can be replicated by installing Huggle to clean Windows 10

Event Timeline

Petrb triaged this task as Unbreak Now! priority.Feb 22 2019, 9:23 AM
Petrb created this task.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptFeb 22 2019, 9:23 AM
Petrb added a comment.Feb 27 2019, 1:06 PM

Using https://download.sysinternals.com/files/ListDlls.zip I figured out that on my machine (where I build windows installer) installed Huggle loads both DLL libraries needed for SSL to work. On my test Windows clean install, after running exactly same installation both DLL's aren't loaded even if they are present in same folder as huggle.exe

this is the root cause why it doesn't work, but question is why does it not load these DLL's on clean install.

Petrb added a comment.Feb 27 2019, 1:08 PM

DLL dump from broken instance:

huggle.exe pid: 1860
Command line: "C:\Program Files\Huggle\huggle.exe"

Base                Size      Path
0x00000000acee0000  0xc000    C:\Program Files\Huggle\huggle.exe
0x00000000c43e0000  0x1ed000  C:\Windows\SYSTEM32\ntdll.dll
0x00000000c1610000  0xb3000   C:\Windows\System32\KERNEL32.DLL
0x00000000c0990000  0x293000  C:\Windows\System32\KERNELBASE.dll
0x00000000c06b0000  0xfc000   C:\Windows\System32\ucrtbase.dll
0x00000000accb0000  0x8e000   C:\Program Files\Huggle\huggle_l10n.dll
0x00000000acc10000  0x94000   C:\Program Files\Huggle\huggle_res.dll
0x00000000aca80000  0x18e000  C:\Program Files\Huggle\huggle_ui.dll
0x00000000c2ec0000  0x14ef000  C:\Windows\System32\SHELL32.dll
0x00000000c16d0000  0x9e000   C:\Windows\System32\msvcrt.dll
0x00000000c15c0000  0x4a000   C:\Windows\System32\cfgmgr32.dll
0x00000000c1b90000  0xa8000   C:\Windows\System32\shcore.dll
0x00000000c2d10000  0x122000  C:\Windows\System32\RPCRT4.dll
0x00000000c23f0000  0x32d000  C:\Windows\System32\combase.dll
0x00000000c0d20000  0x7e000   C:\Windows\System32\bcryptPrimitives.dll
0x00000000c0da0000  0x74a000  C:\Windows\System32\windows.storage.dll
0x00000000c14f0000  0xa0000   C:\Windows\System32\msvcp_win.dll
0x00000000c2350000  0x9e000   C:\Windows\System32\sechost.dll
0x00000000c1db0000  0xa3000   C:\Windows\System32\advapi32.dll
0x00000000c0480000  0x24000   C:\Windows\System32\profapi.dll
0x00000000c0420000  0x5d000   C:\Windows\System32\powrprof.dll
0x00000000c2020000  0x52000   C:\Windows\System32\shlwapi.dll
0x00000000c1b60000  0x29000   C:\Windows\System32\GDI32.dll
0x00000000c04b0000  0x19a000  C:\Windows\System32\gdi32full.dll
0x00000000c2080000  0x197000  C:\Windows\System32\USER32.dll
0x00000000c0d00000  0x20000   C:\Windows\System32\win32u.dll
0x00000000c0400000  0x11000   C:\Windows\System32\kernel.appcore.dll
0x00000000c0c30000  0x17000   C:\Windows\System32\cryptsp.dll
0x00000000ac920000  0x160000  C:\Program Files\Huggle\huggle_core.dll
0x00000000bcec0000  0x17000   C:\Windows\SYSTEM32\VCRUNTIME140.dll
0x0000000094e10000  0x53f000  C:\Program Files\Huggle\Qt5Widgets.dll
0x0000000094860000  0x5a2000  C:\Program Files\Huggle\Qt5Core.dll
0x00000000c1940000  0x6d000   C:\Windows\System32\WS2_32.dll
0x00000000c2730000  0x155000  C:\Windows\System32\ole32.dll
0x00000000bcea0000  0x1d000   C:\Program Files\Huggle\irc.dll
0x00000000acda0000  0x4b000   C:\Program Files\Huggle\ircclient.dll
0x00000000ad0a0000  0x3f000   C:\Program Files\Huggle\Qt5WebEngineWidgets.dll
0x00000000944f0000  0x363000  C:\Program Files\Huggle\Qt5Qml.dll
0x00000000b5da0000  0x1ed000  C:\Windows\SYSTEM32\dbghelp.dll
0x00000000ac840000  0x35000   C:\Program Files\Huggle\Qt5Xml.dll
0x00000000ac7e0000  0x53000   C:\Program Files\Huggle\yaml-cpp.dll
0x00000000ac720000  0xb5000   C:\Program Files\Huggle\Qt5Multimedia.dll
0x0000000098950000  0x133000  C:\Program Files\Huggle\Qt5Network.dll
0x00000000c07b0000  0x1db000  C:\Windows\System32\CRYPT32.dll
0x00000000c03e0000  0x12000   C:\Windows\System32\MSASN1.dll
0x00000000ac680000  0x9e000   C:\Windows\SYSTEM32\MSVCP140.dll
0x00000000bea50000  0x9c000   C:\Windows\SYSTEM32\UxTheme.dll
0x00000000bee40000  0x2e000   C:\Windows\SYSTEM32\dwmapi.dll
0x00000000ac170000  0x1a000   C:\Windows\SYSTEM32\MPR.dll
0x00000000b63c0000  0x17000   C:\Windows\SYSTEM32\NETAPI32.dll
0x00000000c0310000  0x28000   C:\Windows\SYSTEM32\USERENV.dll
0x00000000ba950000  0xa000    C:\Windows\SYSTEM32\VERSION.dll
0x00000000be930000  0x24000   C:\Windows\SYSTEM32\WINMM.dll
0x0000000093ee0000  0x609000  C:\Program Files\Huggle\Qt5Gui.dll
0x00000000ac5e0000  0x18000   C:\Program Files\Huggle\Qt5QuickWidgets.dll
0x00000000bf9c0000  0xc6000   C:\Windows\SYSTEM32\DNSAPI.dll
0x00000000c2720000  0x8000    C:\Windows\System32\NSI.dll
0x00000000bf970000  0x3d000   C:\Windows\SYSTEM32\IPHLPAPI.DLL
0x00000000bfde0000  0xc000    C:\Windows\SYSTEM32\CRYPTBASE.DLL
0x00000000bd460000  0x2d000   C:\Windows\SYSTEM32\WINMMBASE.dll
0x00000000a6050000  0x54000   C:\Program Files\Huggle\Qt5PrintSupport.dll
0x00000000c19d0000  0x127000  C:\Windows\System32\COMDLG32.dll
0x00000000bf9b0000  0xe000    C:\Windows\SYSTEM32\NETUTILS.DLL
0x00000000aecd0000  0x89000   C:\Windows\SYSTEM32\WINSPOOL.DRV
0x00000000c1590000  0x26000   C:\Windows\System32\bcrypt.dll
0x000000009a2f0000  0xa9000   C:\Windows\WinSxS\amd64_microsoft.windows.common-controls_6595b64144ccf1df_5.82.17763.253_none_10e4106c642e88c3\COMCTL32.dll
0x00000000bd0c0000  0x1a8000  C:\Windows\SYSTEM32\PROPSYS.dll
0x00000000c2220000  0xcb000   C:\Windows\System32\OLEAUT32.dll
0x00000000b2020000  0x26000   C:\Windows\SYSTEM32\SRVCLI.DLL
0x0000000093b70000  0x36c000  C:\Program Files\Huggle\Qt5Quick.dll
0x000000008f6d0000  0x4495000  C:\Program Files\Huggle\Qt5WebEngineCore.dll
0x00000000c1cf0000  0x8000    C:\Windows\System32\PSAPI.DLL
0x00000000ac5c0000  0x19000   C:\Windows\SYSTEM32\USP10.dll
0x00000000ba6b0000  0x1c000   C:\Windows\SYSTEM32\dhcpcsvc.DLL
0x00000000b6380000  0xc000    C:\Windows\SYSTEM32\Secur32.dll
0x00000000b5120000  0x1d7000  C:\Windows\SYSTEM32\urlmon.dll
0x00000000b7e20000  0xf1000   C:\Windows\SYSTEM32\WINHTTP.dll
0x00000000b0fc0000  0x2ff000  C:\Windows\SYSTEM32\DWrite.dll
0x00000000ac4f0000  0x22000   C:\Program Files\Huggle\Qt5WebChannel.dll
0x00000000bd8f0000  0x27e000  C:\Windows\SYSTEM32\d3d11.dll
0x00000000a6130000  0x22000   C:\Windows\SYSTEM32\dxva2.dll
0x00000000bf170000  0xc2000   C:\Windows\SYSTEM32\dxgi.dll
0x00000000b75e0000  0x2a8000  C:\Windows\SYSTEM32\iertutil.dll
0x00000000a6000000  0x4d000   C:\Program Files\Huggle\Qt5Positioning.dll
0x0000000099280000  0x19e000  C:\Windows\SYSTEM32\d3d9.dll
0x00000000c02e0000  0x2f000   C:\Windows\SYSTEM32\SSPICLI.DLL
0x00000000c1c40000  0x2e000   C:\Windows\System32\IMM32.DLL
0x000000008f4b0000  0x163000  C:\Program Files\Huggle\platforms\qwindows.dll
0x000000008ef90000  0x127000  C:\Windows\SYSTEM32\opengl32.dll
0x00000000a5fd0000  0x2c000   C:\Windows\SYSTEM32\GLU32.dll
0x00000000c17d0000  0x16a000  C:\Windows\System32\MSCTF.dll
0x00000000ada70000  0xa000    C:\Program Files\Huggle\libEGL.DLL
0x000000008ed20000  0x270000  C:\Program Files\Huggle\libGLESv2.dll
0x00000000bdb70000  0x1c3000  C:\Windows\SYSTEM32\dcomp.dll
0x00000000bb150000  0x73b000  C:\Windows\SYSTEM32\d3d10warp.dll
0x000000009f050000  0x28000   C:\Program Files\Huggle\styles\qwindowsvistastyle.dll
0x00000000ac5a0000  0x13000   C:\Program Files\Huggle\bearer\qgenericbearer.dll
0x00000000ba6d0000  0x16000   C:\Windows\SYSTEM32\dhcpcsvc6.DLL
0x00000000ac4d0000  0x15000   C:\Program Files\Huggle\extensions\huggle_en.dll
0x00000000a6410000  0x13000   C:\Program Files\Huggle\extensions\huggle_flow.dll
0x000000009f030000  0x15000   C:\Program Files\Huggle\extensions\huggle_md.dll
0x000000009f010000  0x1c000   C:\Program Files\Huggle\extensions\huggle_nuke.dll
0x000000009c020000  0x14000   C:\Program Files\Huggle\extensions\huggle_scoring.dll
0x00000000ad740000  0xe000    C:\Program Files\Huggle\extensions\huggle_sh.dll
0x00000000ad5f0000  0xf000    C:\Program Files\Huggle\extensions\huggle_thanks.dll
0x00000000b4590000  0xf000    C:\Program Files\Huggle\imageformats\qico.dll
0x00000000b3980000  0xf000    C:\Program Files\Huggle\imageformats\qgif.dll
0x00000000af4c0000  0x11000   C:\Program Files\Huggle\imageformats\qicns.dll
0x00000000988f0000  0x59000   C:\Program Files\Huggle\imageformats\qjpeg.dll
0x00000000ae790000  0xe000    C:\Program Files\Huggle\imageformats\qsvg.dll
0x000000008eb90000  0x56000   C:\Program Files\Huggle\Qt5Svg.dll
0x00000000ad130000  0xe000    C:\Program Files\Huggle\imageformats\qtga.dll
0x000000008eb20000  0x62000   C:\Program Files\Huggle\imageformats\qtiff.dll
0x00000000acd70000  0xe000    C:\Program Files\Huggle\imageformats\qwbmp.dll
0x000000008eaa0000  0x80000   C:\Program Files\Huggle\imageformats\qwebp.dll
0x00000000af450000  0x16000   C:\Windows\system32\napinsp.dll
0x00000000ad600000  0x1a000   C:\Windows\system32\pnrpnsp.dll
0x00000000bfc10000  0x67000   C:\Windows\System32\mswsock.dll
0x00000000af440000  0xe000    C:\Windows\System32\winrnr.dll
0x00000000bc9d0000  0x1b000   C:\Windows\system32\NLAapi.dll
0x00000000abe40000  0x15000   C:\Windows\system32\wshbth.dll
0x00000000c1d00000  0xa2000   C:\Windows\System32\clbcatq.dll
0x00000000b55f0000  0x56000   C:\Windows\system32\dataexchange.dll
0x00000000beaf0000  0x20d000  C:\Windows\system32\twinapi.appcore.dll
0x00000000bed00000  0x28000   C:\Windows\system32\RMCLIENT.dll
0x00000000b6e80000  0xa000    C:\Windows\System32\rasadhlp.dll
0x00000000ba2c0000  0x79000   C:\Windows\System32\fwpuclnt.dll
0x00000000b9d90000  0x95000   C:\Windows\System32\TextInputFramework.dll
0x00000000bc4b0000  0x322000  C:\Windows\System32\CoreUIComponents.dll
0x00000000be320000  0xe2000   C:\Windows\System32\CoreMessaging.dll
0x00000000bf4b0000  0x31000   C:\Windows\SYSTEM32\ntmarta.dll
0x00000000bc2e0000  0x153000  C:\Windows\SYSTEM32\wintypes.dll

Working instance

huggle.exe pid: 18120
Command line: "C:\Program Files\Huggle\huggle.exe"

Base                Size      Path
0x00000000e89f0000  0xc000    C:\Program Files\Huggle\huggle.exe
0x00000000e6a50000  0x1e1000  C:\WINDOWS\SYSTEM32\ntdll.dll
0x00000000e4300000  0xb2000   C:\WINDOWS\System32\KERNEL32.DLL
0x00000000e3530000  0x273000  C:\WINDOWS\System32\KERNELBASE.dll
0x00000000e0dc0000  0x8b000   C:\WINDOWS\SYSTEM32\apphelp.dll
0x00000000e3830000  0xfa000   C:\WINDOWS\System32\ucrtbase.dll
0x00000000b4450000  0x94000   C:\Program Files\Huggle\huggle_res.dll
0x00000000c1bf0000  0x8e000   C:\Program Files\Huggle\huggle_l10n.dll
0x0000000088000000  0x5a2000  C:\Program Files\Huggle\Qt5Core.dll
0x00000000e46a0000  0x6c000   C:\WINDOWS\System32\WS2_32.dll
0x00000000e4e40000  0x124000  C:\WINDOWS\System32\RPCRT4.dll
0x00000000e4110000  0x190000  C:\WINDOWS\System32\USER32.dll
0x00000000a3ed0000  0x18e000  C:\Program Files\Huggle\huggle_ui.dll
0x00000000e3930000  0x20000   C:\WINDOWS\System32\win32u.dll
0x00000000e4940000  0x28000   C:\WINDOWS\System32\GDI32.dll
0x00000000e3d40000  0x192000  C:\WINDOWS\System32\gdi32full.dll
0x00000000e3ba0000  0x9f000   C:\WINDOWS\System32\msvcp_win.dll
0x00000000e5040000  0x1440000  C:\WINDOWS\System32\SHELL32.dll
0x00000000e6980000  0x9e000   C:\WINDOWS\System32\msvcrt.dll
0x00000000e3c40000  0x49000   C:\WINDOWS\System32\cfgmgr32.dll
0x00000000e4d90000  0xa9000   C:\WINDOWS\System32\shcore.dll
0x00000000e4a60000  0x322000  C:\WINDOWS\System32\combase.dll
0x00000000e37b0000  0x7a000   C:\WINDOWS\System32\bcryptPrimitives.dll
0x00000000e2e20000  0x70d000  C:\WINDOWS\System32\windows.storage.dll
0x00000000e45f0000  0xa1000   C:\WINDOWS\System32\advapi32.dll
0x00000000e4430000  0x5b000   C:\WINDOWS\System32\sechost.dll
0x00000000e6920000  0x51000   C:\WINDOWS\System32\shlwapi.dll
0x00000000e2d80000  0x11000   C:\WINDOWS\System32\kernel.appcore.dll
0x00000000e2d60000  0x1f000   C:\WINDOWS\System32\profapi.dll
0x00000000e2da0000  0x4c000   C:\WINDOWS\System32\powrprof.dll
0x00000000e2e10000  0xa000    C:\WINDOWS\System32\FLTLIB.DLL
0x00000000e4490000  0x151000  C:\WINDOWS\System32\ole32.dll
0x00000000d3c00000  0x16000   C:\WINDOWS\SYSTEM32\VCRUNTIME140.dll
0x00000000d4b80000  0x1a000   C:\WINDOWS\SYSTEM32\MPR.dll
0x00000000d4570000  0x17000   C:\WINDOWS\SYSTEM32\NETAPI32.dll
0x00000000e2c60000  0x28000   C:\WINDOWS\SYSTEM32\USERENV.dll
0x00000000ddfd0000  0xa000    C:\WINDOWS\SYSTEM32\VERSION.dll
0x0000000097b70000  0x160000  C:\Program Files\Huggle\huggle_core.dll
0x00000000b6910000  0x4b000   C:\Program Files\Huggle\ircclient.dll
0x00000000b7440000  0x3f000   C:\Program Files\Huggle\Qt5WebEngineWidgets.dll
0x00000000b72c0000  0x35000   C:\Program Files\Huggle\Qt5Xml.dll
0x00000000c3f90000  0x1d000   C:\Program Files\Huggle\irc.dll
0x0000000087c90000  0x363000  C:\Program Files\Huggle\Qt5Qml.dll
0x0000000087680000  0x609000  C:\Program Files\Huggle\Qt5Gui.dll
0x000000008cba0000  0x133000  C:\Program Files\Huggle\Qt5Network.dll
0x00000000e39b0000  0x1e2000  C:\WINDOWS\System32\CRYPT32.dll
0x00000000e2df0000  0x12000   C:\WINDOWS\System32\MSASN1.dll
0x00000000defd0000  0x23000   C:\WINDOWS\SYSTEM32\WINMM.dll
0x00000000b2900000  0x9f000   C:\WINDOWS\SYSTEM32\MSVCP140.dll
0x00000000d1350000  0x1c9000  C:\WINDOWS\SYSTEM32\dbghelp.dll
0x00000000add50000  0xb5000   C:\Program Files\Huggle\Qt5Multimedia.dll
0x00000000b46f0000  0x53000   C:\Program Files\Huggle\yaml-cpp.dll
0x0000000087310000  0x36c000  C:\Program Files\Huggle\Qt5Quick.dll
0x00000000b1d20000  0x54000   C:\Program Files\Huggle\Qt5PrintSupport.dll
0x00000000e4970000  0xed000   C:\WINDOWS\System32\COMDLG32.dll
0x000000007c140000  0x53f000  C:\Program Files\Huggle\Qt5Widgets.dll
0x00000000c30c0000  0x18000   C:\Program Files\Huggle\Qt5QuickWidgets.dll
0x00000000e23a0000  0xbe000   C:\WINDOWS\SYSTEM32\DNSAPI.dll
0x00000000e2360000  0x38000   C:\WINDOWS\SYSTEM32\IPHLPAPI.DLL
0x00000000e4100000  0x8000    C:\WINDOWS\System32\NSI.dll
0x00000000deec0000  0x2a000   C:\WINDOWS\SYSTEM32\WINMMBASE.dll
0x00000000db140000  0x85000   C:\WINDOWS\SYSTEM32\WINSPOOL.DRV
0x00000000dae80000  0xa7000   C:\WINDOWS\WinSxS\amd64_microsoft.windows.common-controls_6595b64144ccf1df_5.82.17134.590_none_f957b8d13090c3f9\COMCTL32.dll
0x00000000e0ef0000  0x98000   C:\WINDOWS\SYSTEM32\UxTheme.dll
0x00000000e1220000  0x29000   C:\WINDOWS\SYSTEM32\dwmapi.dll
0x00000000e2460000  0xe000    C:\WINDOWS\SYSTEM32\NETUTILS.DLL
0x00000000e1860000  0x1b4000  C:\WINDOWS\SYSTEM32\PROPSYS.dll
0x00000000e4f70000  0xc3000   C:\WINDOWS\System32\OLEAUT32.dll
0x00000000e28c0000  0x25000   C:\WINDOWS\SYSTEM32\bcrypt.dll
0x00000000d4540000  0x26000   C:\WINDOWS\SYSTEM32\SRVCLI.DLL
0x00000000e27b0000  0xb000    C:\WINDOWS\SYSTEM32\CRYPTBASE.DLL
0x0000000077ca0000  0x4495000  C:\Program Files\Huggle\Qt5WebEngineCore.dll
0x00000000e4890000  0x8000    C:\WINDOWS\System32\PSAPI.DLL
0x00000000c1b00000  0x22000   C:\Program Files\Huggle\Qt5WebChannel.dll
0x00000000b6400000  0x4d000   C:\Program Files\Huggle\Qt5Positioning.dll
0x000000009abd0000  0x19000   C:\WINDOWS\SYSTEM32\USP10.dll
0x00000000de1d0000  0x1a000   C:\WINDOWS\SYSTEM32\dhcpcsvc.DLL
0x00000000d1560000  0xc000    C:\WINDOWS\SYSTEM32\Secur32.dll
0x00000000dc870000  0x1c9000  C:\WINDOWS\SYSTEM32\urlmon.dll
0x00000000d8ea0000  0xdd000   C:\WINDOWS\SYSTEM32\WINHTTP.dll
0x00000000c5d90000  0x31c000  C:\WINDOWS\SYSTEM32\DWrite.dll
0x00000000db470000  0x197000  C:\WINDOWS\SYSTEM32\d3d9.dll
0x00000000dfc90000  0x30b000  C:\WINDOWS\SYSTEM32\d3d11.dll
0x00000000e1b20000  0xbb000   C:\WINDOWS\SYSTEM32\dxgi.dll
0x000000009ab80000  0x22000   C:\WINDOWS\SYSTEM32\dxva2.dll
0x00000000dcdd0000  0x2a5000  C:\WINDOWS\SYSTEM32\iertutil.dll
0x00000000e2c90000  0x30000   C:\WINDOWS\SYSTEM32\SSPICLI.DLL
0x00000000e6480000  0x2d000   C:\WINDOWS\System32\IMM32.DLL
0x00000000871a0000  0x163000  C:\Program Files\Huggle\platforms\qwindows.dll
0x00000000e3950000  0x57000   C:\WINDOWS\System32\WINTRUST.DLL
0x00000000e64b0000  0x1d000   C:\WINDOWS\System32\imagehlp.dll
0x00000000e2790000  0x17000   C:\WINDOWS\SYSTEM32\CRYPTSP.dll
0x00000000e21c0000  0x33000   C:\WINDOWS\system32\rsaenh.dll
0x00000000a46b0000  0x120000  C:\WINDOWS\SYSTEM32\opengl32.dll
0x00000000b7080000  0x2c000   C:\WINDOWS\SYSTEM32\GLU32.dll
0x00000000e4710000  0x173000  C:\WINDOWS\System32\MSCTF.dll
0x00000000744d0000  0x2684000  C:\WINDOWS\System32\DriverStore\FileRepository\nv_dispi.inf_amd64_e7b3660b4830c245\nvoglv64.dll
0x00000000e64d0000  0x44b000  C:\WINDOWS\System32\SETUPAPI.dll
0x00000000df070000  0x13000   C:\WINDOWS\SYSTEM32\WTSAPI32.dll
0x00000000e2b70000  0x27000   C:\WINDOWS\SYSTEM32\DEVOBJ.dll
0x00000000e1e50000  0x31000   C:\WINDOWS\SYSTEM32\ntmarta.dll
0x0000000099b50000  0x266000  C:\WINDOWS\system32\nvspcap64.dll
0x00000000e1ec0000  0x56000   C:\WINDOWS\SYSTEM32\WINSTA.dll
0x00000000b68e0000  0x28000   C:\Program Files\Huggle\styles\qwindowsvistastyle.dll
0x00000000c2490000  0x13000   C:\Program Files\Huggle\bearer\qgenericbearer.dll
0x00000000de1f0000  0x16000   C:\WINDOWS\SYSTEM32\dhcpcsvc6.DLL
0x00000000c22d0000  0x15000   C:\Program Files\Huggle\extensions\huggle_en.dll
0x00000000be270000  0x13000   C:\Program Files\Huggle\extensions\huggle_flow.dll
0x00000000b60b0000  0x15000   C:\Program Files\Huggle\extensions\huggle_md.dll
0x00000000b5f90000  0x1c000   C:\Program Files\Huggle\extensions\huggle_nuke.dll
0x00000000b5a20000  0x14000   C:\Program Files\Huggle\extensions\huggle_scoring.dll
0x00000000d5bd0000  0xe000    C:\Program Files\Huggle\extensions\huggle_sh.dll
0x00000000d53a0000  0xf000    C:\Program Files\Huggle\extensions\huggle_thanks.dll
0x00000000d3db0000  0xf000    C:\Program Files\Huggle\imageformats\qico.dll
0x00000000d1650000  0xf000    C:\Program Files\Huggle\imageformats\qgif.dll
0x00000000b5a00000  0x11000   C:\Program Files\Huggle\imageformats\qicns.dll
0x00000000aebc0000  0x59000   C:\Program Files\Huggle\imageformats\qjpeg.dll
0x00000000cf0c0000  0xe000    C:\Program Files\Huggle\imageformats\qsvg.dll
0x00000000ae8a0000  0x56000   C:\Program Files\Huggle\Qt5Svg.dll
0x00000000c5020000  0xe000    C:\Program Files\Huggle\imageformats\qtga.dll
0x00000000ae5f0000  0x62000   C:\Program Files\Huggle\imageformats\qtiff.dll
0x00000000c4f70000  0xe000    C:\Program Files\Huggle\imageformats\qwbmp.dll
0x00000000abf30000  0x80000   C:\Program Files\Huggle\imageformats\qwebp.dll
0x00000000ae1b0000  0x5a000   C:\Program Files\Huggle\ssleay32.dll
0x00000000d4890000  0xef000   C:\WINDOWS\SYSTEM32\MSVCR120.dll
0x0000000085190000  0x205000  C:\Program Files\Huggle\LIBEAY32.dll
0x00000000de1b0000  0x17000   C:\WINDOWS\SYSTEM32\wkscli.dll
0x00000000d5b80000  0x16000   C:\WINDOWS\system32\napinsp.dll
0x00000000d5470000  0x1a000   C:\WINDOWS\system32\pnrpnsp.dll
0x00000000df320000  0x19000   C:\WINDOWS\system32\NLAapi.dll
0x00000000e25e0000  0x66000   C:\WINDOWS\System32\mswsock.dll
0x00000000d5280000  0xe000    C:\WINDOWS\System32\winrnr.dll
0x00000000e48a0000  0xa0000   C:\WINDOWS\System32\clbcatq.dll
0x00000000c10a0000  0x58000   C:\WINDOWS\system32\dataexchange.dll
0x00000000e0570000  0x19c000  C:\WINDOWS\system32\dcomp.dll
0x00000000e1360000  0x1b8000  C:\WINDOWS\system32\twinapi.appcore.dll
0x00000000e1300000  0x29000   C:\WINDOWS\system32\RMCLIENT.dll
0x00000000dc7c0000  0xa000    C:\Windows\System32\rasadhlp.dll
0x00000000d8f80000  0x72000   C:\WINDOWS\System32\fwpuclnt.dll
0x00000000c7110000  0x96000   C:\WINDOWS\System32\TextInputFramework.dll
0x00000000de570000  0x31e000  C:\WINDOWS\System32\CoreUIComponents.dll
0x00000000e0a60000  0xda000   C:\WINDOWS\System32\CoreMessaging.dll
0x00000000de380000  0x14d000  C:\WINDOWS\SYSTEM32\wintypes.dll
Petrb added a comment.Mar 2 2019, 5:44 PM

woot - I found the problem - SSL libs we are shipping are compiled with VS 2013 and therefore require vcredist for VS 2013 to be installed on system. Most of Windows installations that are reasonably old and have many apps installed probably have them, but clean state Windows 10 do not.

Solution: implement VS 2013 redistributables to Huggle installer.

Petrb added a comment.Mar 2 2019, 10:14 PM

updated instructions and 3.4.6 windows installers

Petrb closed this task as Resolved.Mar 2 2019, 10:14 PM
Petrb claimed this task.
Oshwah added a subscriber: Oshwah.Mar 11 2019, 1:09 AM

Ah! That makes sense - good find.